<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$nivel=$sessao->getVar('nivel');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
$cliente=$sessao->getVar('cliente');
//$cliente="CELEIRO";
//$vias=$sessao->getVar('controle1');
//echo("1xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->AliasNbPages();
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 //$pdf->SetFillColor(152,251,152); //deletar depois esta linha
			 if(substr($cliente,0,4)=="TS L")$pdf->SetFillColor(223,240,231); //TS LABORATÓRIO
			 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
	 //AQUI COMECA PARTE DO BOLETIM 2013
 
     //PARAMETROS GERAIS
     //altura util=210  largura util=297(dados do adobe)
     $pdf->AddPage();//adicionando a primera pafina 
     $margemEsquerda=10;
	 $margemDireita=$maximoLAdobe-6;
	 $larguraUtil=$maximoLAdobe-16.5;
	 //largura de uma margem a outra = 281  se eu imprimo algo esta soma nao pode ultrapassar este valor
	 $larguraUtil=280.6;
	 //$cinza=220;
	 //$pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 //ESTAS COTAS SAO AS COTRAS DAS LINHAS HORINTAIS GROSSAS QUE SERVEM DE ORIGEM PARA O QUE VEM A SEGUIR
	 $cota1=2;//inicio de tudo
	 $cota1a=27;//final do cabecalho
	 $cota2=30;
	 $cota3=55;
	 $cota4=84;
	 $cota5=145;
	 $cota6=149;
	 $cota7=157; //estas duas cotas sao definidas aqui memsmo
     $cota8=196;  //usara 195 se for colocar o rodape na munheca, mas pode usar a funcao footer que da mais 5 milimetros
	 //LINHAS LATERAIS DO  cabecalho
	 $pdf->SetLineWidth($grosso);
	 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cota1a);//linha externa esquerda	
	 $pdf->Line($margemDireita,$cota1,$margemDireita,$cota1a);	//linha direita

     //LINHAS LATERAIS DO CORPO DO CORPO 
	 $pdf->Line($margemDireita,$cota2,$margemDireita,$cota8);	//linha direita
	 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//linha externa superior	
	 $pdf->Line($margemEsquerda,$cota2,$margemEsquerda,$cota8);//linha externa esquerda	

     //9 LINHAS HORIZONTAIS GROSSAS 
	 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
	 $pdf->Line($margemEsquerda,$cota1a,$margemDireita,$cota1a);//linha inferior	DO CABECALHO
	 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//INICIO DO CORPO
	 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);// CORPO
	 $pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);// CORPO
	 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);// CORPO
	 $pdf->Line($margemEsquerda,$cota6,$margemDireita,$cota6);// CORPO
	 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);// CORPO
	 $pdf->Line($margemEsquerda,$cota8,$margemDireita,$cota8);//ULTIMA LINHA DO RELATORIO	

     ####################################CABECALHO################################################
     $vetorCabecalho=$objetocalculo->dadoslaboratorio();
	 //$pdf->Cell(30,10,'Angela',1,0,'C'); 30=largura  10=altura   angela=texto   1=com borda    0=quebra de linhya a direita      Centralizado(L,C,R) SINTAXE.....
	 $posicaoCab1=60;$posicaoCab2=225;
	 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 //echo("caminhofinal=$caminhoFinal<br>");
	 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	 //o/a didentificacao do lab
	 $pdf->SetFont('Times','B',9);
	 $pdf->setXY($posicaoCab1,$cota1);
	 $larguraCab=165;
	 $pdf->Cell($larguraCab,5,utf8_decode($cliente),0.5,1,'C');//lab nome

	 $pdf->setXY($posicaoCab1,5);
	 //$pdf->Cell($posicaoCab1-$margemEsquerda);
	 $pdf->Cell($larguraCab,5,utf8_decode($vetorCabecalho[1]),0.5,1,'C');
	 $pdf->setXY($posicaoCab1,10);
	 $pdf->Cell($larguraCab,5,utf8_decode($vetorCabecalho[2]),0.5,1,'C');
	 $pdf->setXY($posicaoCab1,15);
	 $pdf->Cell($larguraCab,5,utf8_decode($vetorCabecalho[3]),0.5,1,'C');
	 $pdf->setXY($posicaoCab1,20);
	 $pdf->Cell($larguraCab,5,utf8_decode($vetorCabecalho[4]),0.5,1,'C');
	 //aqui cria o vetor que todos documentos vao ter em comum(nume documento, daos do remetente, da especie/cultivar, data documento etc)
     $vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	//echo("xyyyyyyyyyyyyyyxxxxxxxxxxxxxidDocumento= $idDoc<br>");
	 
     //IMPRIME O NUMERO DO BOLETIM...
	 $pdf->SetFont('Times','',8);
	 $tama=65;
     if(substr($cliente,0,7)=='CELEIRO'):
    	 $pdf->SetFont('Arial','',6);
		 $pdf->setXY($posicaoCab2,2); $pdf->Cell($tama,3,utf8_decode('1ª Via - Requerente'),0.5,1,'L',1);
		 $pdf->setXY($posicaoCab2,5); $pdf->Cell($tama,3,utf8_decode('2ª Via - Laboratório de Análise de Sementes'),0.5,1,'L',1);
		 $pdf->setXY($posicaoCab2,8); $pdf->Cell($tama,3,utf8_decode('3ª Via - Laboratório de Análise de Sementes Supervisor'),0.5,1,'L',1);


    	 $pdf->SetFont('Times','',8);
		 $pdf->setXY($posicaoCab2,12);
		 $pdf->Cell($tama,7,utf8_decode('BOLETIM DE ANÁLISE DE SEMENTES'),0.5,1,'C',1);
	 
	 
	 else:
		 $pdf->setXY($posicaoCab2,3);
		 $pdf->Cell($tama,15,utf8_decode('BOLETIM DE ANÁLISE DE SEMENTES'),0.5,1,'C',1);
	 endif;

	 
	 
	 
	 
	 //$pdf->Ln(0);
	 //$pdf->Cell($posicaoCab2-$margemEsquerda);
	 $texto=number_format($vetorDadosDocumento[1]/100,2,'','');
	 $texto1=$vetorDadosDocumento[4];
	 $texto1="/".$texto1;
	 $pdf->setXY($posicaoCab2,18);
	 $pdf->Cell($tama,8,utf8_decode('Nº: ').$texto.$texto1,0,1,'C',1);//esta linha esta boa ramadan
	 $pdf->Ln(5);
	 $pdf->SetLineWidth($medio);
	 //$pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//LINHA ABAIXO DO CABECALHO	
	 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota1a);//LINHA vertical  DO CABECALHO	
	 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota1a);//LINHA vertical  DO CABECALHO	
     #####################DADOS DO REQUERENTE##################################################
	 $larguraDaLinha=3.5;
	 $pdf->SetLineWidth($extraFino);
	 $pdf->setXY($margemEsquerda,$cota2);
     global $amostraLong;
     $amostraLong=$vetori[5];
	 $pdf->SetFont('Times','B',8);
	 //$limiteDireito=200;
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DO REQUERENTE').$limiteDireito ,1,1,'C',1);	
	 $pdf->Ln(0);
     $pdf->SetFont('Times','',10);
	 if(substr($cliente,0,7)=='CELEIRO'):
	     //$pdf->SetFont('Times','',10);
	 endif;
     $pdf->Cell(160,$larguraDaLinha,'Requerente:'.utf8_decode($vetorDadosDocumento[0]) ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(160);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(121,$larguraDaLinha,'RENASEM:'.$vetorDadosDocumento[6] ,1,1,'L');
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Endereço:'.$vetorDadosDocumento[8] ),1,1,'L');
     ################IDENTIFICACAO DA AMOSTRA##################################################
     $pdf->SetFont('Times','B',10);
	 if(substr($cliente,0,7)=='CELEIRO'):
	     //$pdf->SetFont('Times','',10);
	 endif;
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA') ,1,0.5,'C',1);	
     $pdf->SetFont('Times','',10);
	 if(substr($cliente,0,7)=='CELEIRO'):
	     //$pdf->SetFont('Times','',10);
	 endif;
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
     $nomeComum=$vetorDadosDocumento[2];
	 $tama=strlen($nomeComum)*2.0;
     $pdf->Cell(12,$larguraDaLinha,utf8_decode('Espécie:'),0,0,'L');
     $pdf->Cell($tama,$larguraDaLinha,utf8_decode($nomeComum ),0,0,'L');
     $pdf->SetFont('Times','I',8);
     $nomeCientifico=$vetorDadosDocumento[13];
	 $nomeCentificoReduzido=$objetocalculo->nomeCientificoReduzido($nomeCientifico);

     $pdf->Cell(70,$larguraDaLinha,'('.$nomeCentificoReduzido.')' ,0,1,'L');
     $pdf->SetFont('Times','',8);
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(100);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(75,$larguraDaLinha,'Cultivar:'.utf8_decode($vetorDadosDocumento[3]) ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(175);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(35,$larguraDaLinha,'Safra:'.$vetorDadosDocumento[9] ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(210);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(71,$larguraDaLinha,'Categoria:'.utf8_decode($vetorDadosDocumento[10]) ,1,1,'L');
	 $pdf->Ln(0);//-8 é pra ele imprimir na mesma linha
     $pdf->Cell(180,$larguraDaLinha,utf8_decode('Procedência:'.$vetorDadosDocumento[14]),1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(180);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(101,$larguraDaLinha,'Data da amostragem:'.$vetorDadosDocumento[11] ,1,1,'L');
	 $pdf->Ln(0);//-8 é pra ele imprimir na mesma linha
     $pdf->Cell(140,$larguraDaLinha,'Nome do amostrador/RT:'.utf8_decode($vetorDadosDocumento[5]) ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(140);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(141,$larguraDaLinha,utf8_decode('Nº RENASEM:').$vetorDadosDocumento[7] ,1,1,'L');

	 
	 ############RESULTADO DE ANALISE########################
	 //definir a subcotas logo apos a legenda comentada, para ser facil de achar e regurar a calibração
	 $cota3a=$cota3+14;
	 $cota3b=$cota3+26;
	 
	 $largo[1]=20;
	 $largo[2]=48;
     $largo[3]=33;
     $largo[4]=16;
     $largo[5]=65;
     $largo[6]=56;
     $largo[7]=41;
     $cotalinha=$cota3;
     $posicao2=$largo[1]+$largo[2];
	 $largura2=$larguraUtil-$posicao2;//ele vai deduzir
	 $pdf->SetFont('Times','B',8);
	 $pdf->setXY($margemEsquerda,$cota3);
	 $pdf->Cell($posicao2);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell($largura2,$larguraDaLinha,'RESULTADO DE ANALISE' ,1,1,'C',1);	
	 
	 //aqui pega o numero de amostras que tem no boletim para fins de
	//fazer um casuismo interessante
	//se tem 1 so amostra ele deve pegar os pesos minimos direto da amostra
	//se tiver varia amostras ele vai pegar o peso que esta cadastrado na especie
	//ENTRA DE QUAKQUER MANEIRA
	$contaAmostrasCasuismo=0;
	$genericaBoletimBoletim=new tabelagenerica();
	$genericaBoletimBoletim->tabela="documentosponte";
	$genericaBoletimBoletim->campos_valores = array(
			"dpo_amostra_vinculada" => NULL,
		);
		
		
		
	$genericaBoletimBoletim->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 12";
	$genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
	while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
	    $contaAmostrasCasuismo++;
		$vetorDPO[$contaAmostrasCasuismo]=$resgenericaBoletimBoletim->dpo_amostra_vinculada;
	endwhile;
    $amostraLongAleatoria=$vetorDPO[$contaAmostrasCasuismo];

	//se tem SO UMA AMOSTRA VAI PEGR DA AMOSTRA SE TEM MASI DE UMA PEGA DO DOCUMENTO
	if($contaAmostrasCasuismo>1):
	   $pesoPureza= $vetorDadosDocumento[15];
	   $pesoOCV= $vetorDadosDocumento[18];
	   $pesoDOSN= $vetorDadosDocumento[17];
	   $pesoNocivas= $vetorDadosDocumento[16];
	else:
	   $amostraLong=$vetorDPO[1]; 
	   $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	   $pesoPureza= $vetorAmostraBruto[45];
	   $pesoOCV= $vetorAmostraBruto[49];
	   $pesoDOSN= $vetorAmostraBruto[50];
	   $pesoNocivas= $vetorAmostraBruto[51];
	endif;

	
	
	
	
	
	 
     ########SETOR DO GRANDES TITULOS DE RESULTADOS######################################
     //conteudos
	 $vetor="";//limpar o array
	 //$vetor[1][2]="IDENTIFICAÇÃO DA AMOSTRA NO";
	 $vetor[1][4]="Verificação";

	 $vetor[2][3]="PUREZA(%) em ".$pesoPureza."g";
	 $vetor[2][4]="de outras";
	 $vetor[2][5]="GERMINAÇÃO(%)";
	 $vetor[2][6]="OUTRAS SEMENTES POR";
	 $vetor[2][7]="OUTRAS DETERMINAÇÕES";

	 $vetor[3][4]="cultivares";
	 $vetor[3][6]="NÚMERO";
     $pdf->setXY(10,$cota3+1);
	 $pdf->Cell(68,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA NO'),0,1,'C');	
     $pdf->setXY(10,$cota3+5);
	 $pdf->Cell(68,$larguraDaLinha,utf8_decode('LABORATÓRIO'),0,1,'C');	


	
	/*
	 $pdf->SetLineWidth(0.5); //usar espessura 1 para testar calibraçao
	 $registros=1;//aqui ele tem que saber ja quantos registros tem
	 $pdf->SetFont('Times','B',8);
	 //$registros=$pdf->registros;
	 if($registros>12) $registros=12;
	 $limiteBola=12;
	 $cota4f=$cota4+($registros)*4.0; // linha de fechamento
	 //$pdf->setXY(10,$cotaLinha);
	 $linhas=3;
     $colunas=7;
	*/ 
	 
	 //imprime as 6 linhas verticais separadoras 
	 $pdf->SetLineWidth(0.5); //usar espessura 1 para testar calibraçao
	 $posicao=30;
     for($j=2;$j<=6;$j++)
	 {
         $posicao+=$largo[$j];
         $cotaSuperior=$cota3;
		 if($j>2)$cotaSuperior=$cota3 +4;
		 $pdf->Line($posicao,$cotaSuperior,$posicao,$cota5);//linha vertical separadore das colunas so imprime uma vez
	 }
	 
	 //imprime outras cultivares,germinacao e outros rotulos em negrito
	 $pdf->setXY(10,$cota3+3);
	 $linhas=3;
     $colunas=7; 
     for($L=1;$L<=$linhas;$L++)
	 {
    	 $posicao=10;
	     $cotaLinha+=$larguraDaLinha;
    	 for($i=1;$i<=$colunas;$i++)
		 {
			 $redutor=10;
	         if($i==1) $redutor=9;
	    	 $pdf->Cell($posicao-$redutor);
			 //if($i==2)$pdf->Cell($largo[$i],$larguraDaLinha,utf8_decode($vetor[$L][$i]),0,1,'C',1);	
			 if($i!=200)$pdf->Cell($largo[$i],$larguraDaLinha,utf8_decode($vetor[$L][$i]),0,1,'C');	
			 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
  			 $posicao+=$largo[$i];

 		 }
		 $pdf->Ln($larguraDaLinha);
	 }
    
	 $pdf->SetLineWidth(0.5); //usar espessura 1 para testar calibraçao
	 //$topo1=$cota3a;
     $pdf->Line(10,$cota3a,$margemDireita,$cota3a);//linha logo abaixo da palacra CULTIVARES	
	 
	//////////DEFINE AS OUTRAS DETERMINACOES////////////////
	//acha daddos da determinacaoes xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
	//captura os codigos das 4 posições, que inclusive pode ser zero  
	$idEspecie=$vetorDadosDocumento[28];
  		//ENTRA DE QUAKQUER MANEIRA PARA ACHAR AS DETS DESTA ESPECIE
 	 	$genericaBoletimBoletim=new tabelagenerica();
		$genericaBoletimBoletim->tabela="deteboletim";
		$genericaBoletimBoletim->campos_valores = array(
				"dbo_sigla_dete1" => NULL,
				"dbo_sigla_dete2" => NULL,
				"dbo_sigla_dete3" => NULL,
				"dbo_sigla_dete4" => NULL,
			);
		$genericaBoletimBoletim->extras_select =" where  dbo_lab=".$idLabo." && dbo_especie=".$idEspecie;
		//echo $genericaBoletimBoletim->extras_select ;
		
	    $genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
		while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
			$sigla[1]=$resgenericaBoletimBoletim->dbo_sigla_dete1;
			$sigla[2]=$resgenericaBoletimBoletim->dbo_sigla_dete2;
			$sigla[3]=$resgenericaBoletimBoletim->dbo_sigla_dete3;
			$sigla[4]=$resgenericaBoletimBoletim->dbo_sigla_dete4;
	    endwhile;
	
    //vai achar na tabela de determinacoes, os titulos correspondentes para cada uma das detes
	//captura a primeira coluna das 3 determinacoes
     if($sigla[1]!=""):
		//ENTRA DE QUAKQUER MANEIRA
		$genericaBoletimBoletim->tabela="determinacoes";
		$genericaBoletimBoletim->campos_valores = array(
				"det_tit1" => NULL,
				"det_tit2" => NULL,
				"det_tit3" => NULL,
			);
		$genericaBoletimBoletim->extras_select =" where  det_sigla='".$sigla[1]."'";
		$genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
		while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
			$vetorDete1[1]=$resgenericaBoletimBoletim->det_tit1;
			$vetorDete1[2]=$resgenericaBoletimBoletim->det_tit2;
			$vetorDete1[3]=$resgenericaBoletimBoletim->det_tit3;
		endwhile;
    endif;	
	//captura a segunda coluna das 3 determinacoes
     if($sigla[2]!=""):
		//ENTRA DE QUAKQUER MANEIRA
		$genericaBoletimBoletim->tabela="determinacoes";
		$genericaBoletimBoletim->campos_valores = array(
				"det_tit1" => NULL,
				"det_tit2" => NULL,
				"det_tit3" => NULL,
			);
		$genericaBoletimBoletim->extras_select =" where  det_sigla='".$sigla[2]."'";;
		$genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
		while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
			$vetorDete2[1]=$resgenericaBoletimBoletim->det_tit1;
			$vetorDete2[2]=$resgenericaBoletimBoletim->det_tit2;
			$vetorDete2[3]=$resgenericaBoletimBoletim->det_tit3;
		endwhile;
    endif;	
	//captura a terceiraeira coluna das 3 determinacoes
     if($sigla[3]!=""):
		//ENTRA DE QUAKQUER MANEIRA
		$genericaBoletimBoletim->tabela="determinacoes";
		$genericaBoletimBoletim->campos_valores = array(
				"det_tit1" => NULL,
				"det_tit2" => NULL,
				"det_tit3" => NULL,
			);
		$genericaBoletimBoletim->extras_select =" where  det_sigla='".$sigla[3]."'";
		$genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
		while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
			$vetorDete3[1]=$resgenericaBoletimBoletim->det_tit1;
			$vetorDete3[2]=$resgenericaBoletimBoletim->det_tit2;
			$vetorDete3[3]=$resgenericaBoletimBoletim->det_tit3;
		endwhile;
    endif;
	
		//aqui aproveita que tem o numero de uma amostra e vai verificar se naquela
	    //amostra tem outras dete para ser ocultada
	   //AQUI VAI CAPTURAR O VALOR DA DET E O VALOR DA OCULTACAO
	   //AQUI VAI PEGAR DA REAN
       for($i=1;$i<=4;$i++):
			$siglaDete=$sigla[$i];
			$genericaBoletim=new tabelagenerica();
			$genericaBoletim->tabela="rean1";
			$genericaBoletim->campos_valores = array(
					"rea_boletim" => NULL,
				);
			$genericaBoletim->extras_select =" where rea_teste='".$siglaDete."' &&  rea_ficha=".$amostraLong;
			//echo $genericaBoletim->extras_select ;
		    $genericaBoletim->selecionaCampos($genericaBoletim);
			
			while ($resgenericaBoletim = $genericaBoletim->retornaDados()):
				$ocultarBoletimString=$resgenericaBoletim->rea_boletim;
		    endwhile; 
	        //aqui faz a alternancia. Se é sim poe nao e vice versa
		   if($ocultarBoletimString=='N'):
		      if($i==1):
			     $vetorDete1[1]='-O-';
			     $vetorDete1[2]='-O-';
			     $vetorDete1[3]='-O-';
			  endif;	 
		      if($i==2):
			     $vetorDete2[1]='-O-';
			     $vetorDete2[2]='-O-';
			     $vetorDete2[3]='-O-';
			  endif;	 
		      if($i==3):
			     $vetorDete3[1]='-O-';
			     $vetorDete3[2]='-O-';
			     $vetorDete3[3]='-O-';
			  endif;	 
		      if($i==4):
			     $vetorDete4[1]='-O-';
			     $vetorDete4[2]='-O-';
			     $vetorDete4[3]='-O-';
			  endif;	 
	       endif;	
       endfor;




	   //$vetorDete1[1]=$ocultarBoletimString;
	   //$vetorDete2[1]=$amostraLong;
	   //$vetorDete3[1]=$siglaDete;




     ########SETOR DE MICRO COLUNAS DE RESULTADOS##################################################

	 $rotulos[1][14]="Outras"; 
	 $rotulos[1][15]="Sementes"; 
	 
	 //$rotulos[1][14]="Sementes"; 
	 $rotulos[1][18]=$vetorDete1[1];#"corazon"
	 $rotulos[1][19]=$vetorDete2[1];
	 $rotulos[1][20]=$vetorDete3[1];

	 $rotulos[2][1]="Amostra"; 
	 $rotulos[2][2]="Lote"; 
	 $rotulos[2][3]="Peneira";
	 $rotulos[2][4]="Represen-"; 
	 $rotulos[2][5]="Semente"; 
	 $rotulos[2][6]="Material"; 
	 $rotulos[2][7]="Outras"; 
	 $rotulos[2][9]="Plântulas"; 
	 $rotulos[2][10]="Plântulas"; 
	 $rotulos[2][11]="Sementes"; 
	 $rotulos[2][12]="Sementes"; 
	 $rotulos[2][13]="Sementes"; 

	 $rotulos[2][14]="Espécies"; 
	 $rotulos[2][15]="Silvestres"; 
	 $rotulos[2][16]="Toleradas"; 
	 $rotulos[2][17]="Proibidas"; 
	 $rotulos[2][18]=$vetorDete1[2];
	 $rotulos[2][19]=$vetorDete2[2];
	 $rotulos[2][20]=$vetorDete3[2];
	 if(substr($cliente,0,7)=='CELEIRO'):
		 $rotulos[2][19]='ND';
		 $rotulos[2][20]='ND';
     endif;	 
	 
	 

	 $rotulos[3][1]="(Nº)"; 
	 $rotulos[3][2]="(Nº)"; 
	 $rotulos[3][3]="";//PRNEIRA 
	 $rotulos[3][4]="tatividade";
	 $rotulos[3][5]="Pura";
	 $rotulos[3][6]="Inerte";
	 $rotulos[3][7]="Sementes";
     if($cliente=="SÃO FRANCISCO"):
	    $pesoOCV=500;//fixa ocv
	 endif;	 
	 
	 
	 $rotulos[3][8]= "Nº em ".$pesoOCV."g";//peso para o teste de outras cultivares
	 $rotulos[3][9]="Normais"; 
	 $rotulos[3][10]="Anormais"; 
	 $rotulos[3][11]="Duras"; 
	 $rotulos[3][12]="Dormentes"; 
	 $rotulos[3][13]="Mortas"; 
	 $rotulos[3][14]="Cultivadas";
	 $rotulos[3][18]=$vetorDete1[3];
	 $rotulos[3][19]=$vetorDete2[3];
	 $rotulos[3][20]=$vetorDete3[3];

	 if(substr($cliente,0,7)=='CELEIRO'):
		 $rotulos[1][19]=' ';
		 $rotulos[1][20]=' ';
		 $rotulos[2][19]='ND';
		 $rotulos[2][20]='ND';
		 $rotulos[3][19]=' ';
		 $rotulos[3][20]=' ';
     endif;	 
     //aqui tem que ter cuidado pois alinha 4 nao existem dados ou senha nada sera impresso mas ela vai garar um espaco para eu colocar nymero em........
     //joga os numeros para a linha 4 
	 for($i=1;$i<=16;$i++)
     {
	     $rotulos[5][$i+4]=$i;
	 }	 
	 //so define as larguras
	 $largo[1]=20; //amostra
	 $largo[2]=20;  //lote
	 $largo[3]=9;   //peneira
	 $largo[4]=19;//representatividade
	 $largo[5]=11;//puras
	 $largo[6]=11;//inerte
	 $largo[7]=11;//outrs smen
	 $largo[8]=16;//outras cultva
	 $largo[9]=13;//g1
	 $largo[10]=13;//g2
	 $largo[11]=13;//g3
	 $largo[12]=13;//g4
	 $largo[13]=13;//g5
	 $largo[14]=14;
	 $largo[15]=14;
	 $largo[16]=14;
	 $largo[17]=14;
	 $largo[18]=15;
	 $largo[19]=15;
	 $largo[20]=14;
     
	 
	 //imprime os rotulos amostra/lote/peneira .....
	 $pdf->setXY(10,69);
	 $positron[1]=10; 
	 //$pdf->Ln(0);
	 $pdf->SetFont('Times','',8);
	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 $cotalinha=$cota3a;
	 $alturaMinima=3;
     for($L=1;$L<=5;$L++)
	 {
	     $cotaLinha+=$alturaMinima;
    	 for($i=1;$i<=20;$i++)
		 {
 	         if($L==1)
			     {
				     //ele nao vai imprimir todas as linhas pois as linhas verticasi no setor de outras sements por numero sao segmentadas e sao tratadas adiante
				      if($i<15 || $i>17)$pdf->Line($positron[$i],$cota3a,$positron[$i],$cota5);//linha vertical separadore das colunas so imprime 1 vez
				 }	  
			 $redutor=10;
	         if($i==1) $redutor=9;
	    	 $pdf->Cell($positron[$i]-$redutor);
			 if($L==4)	 $pdf->SetFont('Times','',6);
			 $pdf->Cell($largo[$i],$alturaMinima,utf8_decode($rotulos[$L][$i]),0,1,'C');	
			 $pdf->Ln(-$alturaMinima);//-8 é pra ele imprimir na mesma linha
 	    	 $positron[$i+1]=$positron[$i]+$largo[$i];
		 }
		 $pdf->Ln($alturaMinima);
	 }
     $pdf->Line($positron[5],$cota3b,$margemDireita,$cota3b);//horizontal acima dos numeros das colunas	
	 //aqui colcoa os traçoes da quele setor de OUTRAS SEMENTRAS POR NUMERO umas s legendas e o escambau
	 //$pdf->SetLineWidth($grosso);
	 //valor de xfajuto definido acima é 225
	 $cota3a1=$cota3a+9;
	 $cota3a2=$cota3a+3.5;//cota abaixo da frase: sementes nocivas
     //so linhyas veticais agora 
	 $pdf->Line($positron[15],$cota3a,$positron[15],$cota3a1);//linha vertical separadora  pequena em cima              	 
	 $pdf->Line($positron[15],$cota3b,$positron[15],$cota5);//linha vertical separadora    maior embaixo até a cota 5            	 
	 $pdf->Line($positron[17],$cota3a2,$positron[17],$cota3a1);//linha vertical    segmento pequeno abaixo de sementes  nocivas          	 
	 $pdf->Line($positron[17],$cota3b,$positron[17],$cota5);//linha vertical separadora    maior embaixo até a cota 5    
	 //imprime uma linha grossa vertical  fajuta que tem depois da sexta linha separadora
	 $pdf->SetLineWidth($medio);
     $pdf->Line($positron[16],$cota3a,$positron[16],$cota5);//linha vertical separadore das colunas so imprime uma vez
	 $pdf->SetLineWidth($fino);
     //so linhyas horizontais agora 
     //Aqui as 3 legendas.............
     if($cliente=="SÃO FRANCISCO"):
	    $pesoDOSN=500;//peso para o teste DOSN   //"Nº em....g";  aqui dosn
	    $pesoNocivas=1000;//peso para o teste nocivas   //"Nº em....g";  aqui nocivas
	 endif;




	 $primeiroNumero="Nº em ".$pesoDOSN."g";//peso para o teste DOSN   //"Nº em....g";  aqui dosn
	 $segundoNumero="Nº em ".$pesoNocivas."g";//peso para o teste nocivas   //"Nº em....g";  aqui nocivas
   

	 $alturaDaLinha=3.0;
	 $pdf->SetLineWidth($fino);
	 $pdf->setXY($positron[16],$cota3a);
	 $pdf->Cell(28,$alturaDaLinha,'Sementes nocivas',1,0,'C');
	 $pdf->setXY($positron[14],$cota3a1);
	 $pdf->Cell(28,$alturaDaLinha,utf8_decode($primeiroNumero),1,0,'C');
	 $pdf->setXY($positron[16],$cota3a1);
	 $pdf->Cell(28,$alturaDaLinha,utf8_decode($segundoNumero),1,0,'C');	
	 
	 
	 #################vai imprimir resultados##########################################
//aqui vou preparar o vetor de resultados/amostras
//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$genericaBoletim=new tabelagenerica();
$genericaBoletim->tabela="documentosponte";
$genericaBoletim->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$genericaBoletim->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 12";

//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $genericaBoletim->extras_select <br>");
$genericaBoletim->selecionaCampos($genericaBoletim);
$contaAmostras=0;
while ($resgenericaBoletim = $genericaBoletim->retornaDados()):
    $contaAmostras++;
	$vetorDPO[$contaAmostras]=$resgenericaBoletim->dpo_amostra_vinculada;
endwhile;
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");

$indiceVetorNomesContaminantes=1;
//zera o vetor que vai carrgar os contaminantes
$base="";//limpa o array
$base[1][1]="OUTRAS SEMENTES POR NÚMERO(Identificação e nº de sementes):";


//pega dados da tabela ficha preenchendo o vetor  RESULTADOS, pois ja te as id das amostras
//ENTRA DE QUAKQUER MANEIRA
$L=1;
$naturezaMatInerte="-O-";
$genericaBoletimAmo=new tabelagenerica();
while($L<=$contaAmostras):
	$amostraLong=$vetorDPO[$L]; 
    //captura todos campos da tabela ficha
    $genericaBoletimAmo->tabela="ficha";
    $genericaBoletimAmo->campos_valores = array(
		"fic_amostra" => NULL,
        "fic_ano"     => NULL,
        "fic_lote"     => NULL,
        "fic_repre_quant"     => NULL,
        "fic_repre_unid"     => NULL,
        "fic_peneira"     => NULL,
		"fic_outrascultivares"=>NULL,
		"fic_dt_entrada"=>NULL,
	);
	

	$genericaBoletimAmo->extras_select =" where fic_id=".$amostraLong;
	$genericaBoletimAmo->selecionaCampos($genericaBoletimAmo);
	while ($resgenericaBoletimAmo = $genericaBoletimAmo->retornaDados()):
		$vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
		$amostraRaizContaminante="Amostra:" .$resgenericaBoletimAmo->fic_amostra."/".substr($resgenericaBoletimAmo->fic_ano,2,2);
	    $iniciando="SIM";	
		$vetorResultados[$L][1]=$resgenericaBoletimAmo->fic_amostra."/".substr($resgenericaBoletimAmo->fic_ano,2,2);//numero da amostra/ANO
		$protocolo=$resgenericaBoletimAmo->fic_amostra;
	    $vetorResultados[$L][2]=$vetorAmostraBruto[2];//lote
	    $vetorResultados[$L][3]=$vetorAmostraBruto[35];//peneira
	    $vetorResultados[$L][4]=$vetorAmostraBruto[6];//  representatividade
		//se for celeiro e for bag entao coloca tipo 24/1000   . seria 24 bag 1000 kg
		if(substr($cliente,0,7)=='CELEIRO'):
           //exemplo 24Bag/1000Kg
		   $textoNovo=$vetorAmostraBruto[6];
		   $texto=$vetorAmostraBruto[6];
		   //se nao for bag ele mantem o antigo que pode ser sacos
           if(substr($texto,2,3)=="bag")$textoNovo=substr($texto,0,1).'/'.substr($texto,5);//se for por exemplo    4 bag/1000 kg
           if(substr($texto,3,3)=="bag")$textoNovo=substr($texto,0,2).'/'.substr($texto,6);//se for por exemplo    24 bag/1000 kg
	       $vetorResultados[$L][4]=$textoNovo;//  representatividade
        endif;		 

		$vetorResultados[$L][8]=$vetorAmostraBruto[15];//outras cultivares
////////////////////////captura outras determinacoes//////////////
	    //ENTRA DE QUAKQUER MANEIRA PARA ACHAR OS VALORES GRAVADOS PARA AS DETS SE NAO ACHA A DET JA CRIA O REGISTRO E COLOCA -N-
	    $valorDeful="-N-";
		///se o cliente é tabajara ou se é rio grande do sul entao preeenche com -O-///////
	    $sessao=new sessao();
	    $cliente=$sessao->getVar('cliente');
		$clientePedaco=substr($cliente,0,2);
	    if($clientePedaco=="TS")$valorDeful="-O-";   //para o tabajara vale tudo
		
 	 	for($indi=1;$indi<=3;$indi++):
		    $indice=17+$indi;
			//AQUI VAI PEGAR DA REAN
			$vetorResultados[$L][$indice]=$valorDeful;//se ele nao achar nada entao poe -N-
			$genericaBoletim=new tabelagenerica();
			$genericaBoletim->tabela="rean1";
			$genericaBoletim->campos_valores = array(
					"rea_v1" => NULL,
					"rea_boletim" => NULL,
				);
			$genericaBoletim->extras_select =" where rea_teste='".$sigla[$indi]."' &&  rea_ficha=".$amostraLong;
			//echo $genericaBoletim->extras_select ;
		    $genericaBoletim->selecionaCampos($genericaBoletim);
			
			while ($resgenericaBoletim = $genericaBoletim->retornaDados()):
				//$vetorResultados[$L][$indice]=$resgenericaBoletim->rea_v1;
				$ocultarOD=$resgenericaBoletim->rea_boletim;
                $valorResultadoOD=$resgenericaBoletim->rea_v1; 
				if($ocultarOD=='N'):
        			$valorResultadoOD='-N-';
   		        endif;
				$vetorResultados[$L][$indice]=$valorResultadoOD;
		    endwhile;
        endfor;//final do for que vasculha os testes 14,15,16 e 17
///////////////////////final de captura outras determinacoes//////////


	//$dataEntrada=$resgenericaBoletim->fic_dt_entrada;//data entrada
	endwhile;

    //captura todos campos de pureza
		$sementesPuras=$vetorAmostraBruto[4];//puras
		//$vetorResultados[$L][5]=$resgenericaBoletim->rea_v1;//puras
		$vetorResultados[$L][5]=$vetorAmostraBruto[4];//puras
		$vetorResultados[$L][6]=$vetorAmostraBruto[17];//inertte
		$quantidadeInerte=$vetorAmostraBruto[17];//captura este valor para zerar o campo natureza do material inerte
		$vetorResultados[$L][7]=$vetorAmostraBruto[18];//outras sementes
        $naturezaEncontradaNaAmostra=$vetorAmostraBruto[19];//natureza do material inerte
        //vai perguntar se a natureza é de comprimento maior do que a deful entao coloca o valor na deful
		if(strlen($naturezaEncontradaNaAmostra)>strlen($naturezaMatInerte)):
		   $naturezaMatInerte=$naturezaEncontradaNaAmostra;
		endif;
   
       //captura todos campos de germinacao do objetocalculo		
		$vetorResultados[$L][9]=$vetorAmostraBruto[3];//normais
		$vetorResultados[$L][10]=$vetorAmostraBruto[11];//anormais
		$vetorResultados[$L][11]=$vetorAmostraBruto[12];//duras 
		$vetorResultados[$L][12]=$vetorAmostraBruto[13];//dormentes
		$vetorResultados[$L][13]=$vetorAmostraBruto[14];//mortas
		
		
		$dataTesteGerm=$vetorAmostraBruto[52];//data teste
		//$dataTesteGerm=date("d/m/y",strtotime($dataTesteGerm));//inverte a data
		
		$duracao=$vetorAmostraBruto[53];//duracao
		$substrato=$vetorAmostraBruto[54];//substrato
		$temperatura=$vetorAmostraBruto[56];//temper
		$tratamento=$vetorAmostraBruto[55];//tratamento

	//TRABALHA COM OS CONTAMINANTES  primeiro somente calculando o total por grupo
	 $somaOE=0;
	 $somaSI=0;
	 $somaTO=0;
	 $somaPR=0;
	 //ENTRA DE QUAKQUER MANEIRA
     $genericaBoletim->tabela="invasoras";
	 $genericaBoletim->campos_valores = array(
			"inv_qtd" => NULL,
			"inv_codigo" => NULL,
		);
     $genericaBoletim->extras_select =" where  inv_amostra=".$amostraLong;
     $genericaBoletim->selecionaCampos($genericaBoletim);
     while ($resgenericaBoletim = $genericaBoletim->retornaDados()):
	    if($resgenericaBoletim->inv_codigo=="1OES")$somaOE+=$resgenericaBoletim->inv_qtd;
	    if($resgenericaBoletim->inv_codigo=="2SIL")$somaSI+=$resgenericaBoletim->inv_qtd;
	    if($resgenericaBoletim->inv_codigo=="3NOT")$somaTO+=$resgenericaBoletim->inv_qtd;
	    if($resgenericaBoletim->inv_codigo=="4NOP")$somaPR+=$resgenericaBoletim->inv_qtd;
	 endwhile;
     $vetorResultados[$L][14]=$somaOE;
     $vetorResultados[$L][15]=$somaSI;
     $vetorResultados[$L][16]=$somaTO;
     $vetorResultados[$L][17]=$somaPR;
     //se nao fez pureza ele deve colocar -N- nos camos das nocivas e outra especies
	 if($sementesPuras=='-N-'):
		 $vetorResultados[$L][14]='-N-';
		 $vetorResultados[$L][15]='-N-';
		 $vetorResultados[$L][16]='-N-';
		 $vetorResultados[$L][17]='-N-';
	 endif;
	 
	 
     //PREPARA A LISTA DE CONTAMINANTES POR AMOSTRA
/////////////////////////////////
//pega todas as invasoras pelo nome, quentidade grupo que estao no documento..............
//se em algum grupo tem realmente invasora, entao ele abre e trabalha , cria linha nova etc
//so entra se tiver s outras especies
//$indiceVetorNomesContaminantes++;
//$base[$indiceVetorNomesContaminantes][1]="Amostra:" . $protocolo;
for($i=1;$i<=4;$i++):
   $contaminanteAcumulado='';
   if($i==1):
      $somaInvasora=$somaOE;
	  $conteudoRaiz=" 10-";
	  $codigo='1OES';
   endif;
   if($i==2):
      $somaInvasora=$somaSI;
	  $conteudoRaiz=" 11-";
	  $codigo='2SIL';
   endif;
   if($i==3):
      $somaInvasora=$somaTO;
	  $conteudoRaiz=" 12-";
	  $codigo='3NOT';
   endif;
   if($i==4):
      $somaInvasora=$somaPR;
	  $conteudoRaiz=" 13-";
	  $codigo='4NOP';
   endif;
   if($somaInvasora>0):
		 //ENTRA SO SE TIVER OESP
	     $genericaBoletim->tabela="contaminantes,invasoras";
		 $genericaBoletim->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $genericaBoletim->extras_select =" where con_id=inv_cod_praga &&  inv_codigo='".$codigo."' && inv_amostra=".$amostraLong;
	     $genericaBoletim->selecionaCampos($genericaBoletim);
		 //$conteudoRaiz=" 10-";
	     while ($resgenericaBoletim = $genericaBoletim->retornaDados()):
		    	 $conteudo=$resgenericaBoletim->con_nome_cientifico."(".$resgenericaBoletim->inv_qtd.") ";
	 			 if($iniciando=="SIM"):
					 $contaminanteAcumulado=$amostraRaizContaminante . $conteudoRaiz.$conteudo;
	                 $iniciando="NAO";
					 $conteudoRaiz="";
					 $amostraRaizContaminante=''; 
				 else:	//se ja tem alguma coisa 
	                 //pergunta se o tamanhao<50 
					 if(strlen($contaminanteAcumulado)>70):
						 $indiceVetorNomesContaminantes++;
				         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
						 $contaminanteAcumulado="";
					 	 $contaminanteAcumulado=$conteudoRaiz.$contaminanteAcumulado. $conteudo;
				     else:
					 	$contaminanteAcumulado=$conteudoRaiz.$contaminanteAcumulado. $conteudo;
					 endif;
				 endif;
				 // echo("conteudo $conteudo<br>"); 
		 endwhile;
		 if(strlen($contaminanteAcumulado)>0):
			 $indiceVetorNomesContaminantes++;
		     $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;
		 endif;
		 $contaminanteAcumulado="";
		 $iniciando="SIM";
	endif;
endfor;



$L++;//incrementa o valor de L ate chegar ao numero de registros
endwhile; //aqui termina o while que pega todas id






	 //resultaso sao impressoas a partr da cota 4
	 $pdf->SetFont('Times','',10);
	 if(substr($cliente,0,7)=='CELEIRO'):
	     $pdf->SetFont('Times','',10);
     endif;		 
	 $cotaLinha=$cota4+0.5;//define o começo da impressao de resultados , apenas para naoa ficar em cima da  linha divisoria muito grossa
	 $alturaLinhaResultados=4.3;//define a largura das linhas de resultados
     $pdf->setXY(10,$cotaLinha);
	 //$pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 //echo("registrosxxxxxxxxxxxxxxx=$registros<br>");
	 //vai ordenar o array
	 // Compara se $a é maior que $b
	function cmp($a, $b) {
		return $a[1] > $b[1];
	}
	 
	// Ordena
	usort($vetorResultados, 'cmp');
 	 
     for($L=0;$L<=$contaAmostras-1;$L++)
	 {
	     $cotaLinha+=$alturaLinhaResultados;
    	 for($i=1;$i<=20;$i++)
		 {
             $pdf->Line(10,$cotaLinha,$margemDireita,$cotaLinha);//linha separadora horizontal
			 $redutor=10;
	         if($i==1) $redutor=9;
	    	 $pdf->Cell($positron[$i]-$redutor);
			 //$pdf->Cell($largo[$i],4.4,$resultados[$L][$i],0,1,'C');
			 $pdf->Cell($largo[$i],$alturaLinhaResultados,utf8_decode($vetorResultados[$L][$i]),0,1,'C');
			 //$pdf->Cell($largo[$i],$alturaLinhaResultados,$positron[$i],0,1,'C');
			 $pdf->Ln(-$alturaLinhaResultados);//-8 é pra ele imprimir na mesma linha
 	    	 $positron[$i+1]=$positron[$i]+$largo[$i];
		 }
		 $pdf->Ln($alturaLinhaResultados);
	 }

//impriem fechador com -0-
	     $cotaLinha+=$alturaLinhaResultados;
    	 for($i=1;$i<=20;$i++)
		 {
             //$pdf->Line(10,$cotaLinha,$margemDireita,$cotaLinha);//linha separadora horizontal
			 $redutor=10;
	         if($i==1) $redutor=9;
	    	 $pdf->Cell($positron[$i]-$redutor);
			 //$pdf->Cell($largo[$i],4.4,$resultados[$L][$i],0,1,'C');
			 $pdf->Cell($largo[$i],$alturaLinhaResultados,'-o-o-',0,1,'C');
			 //$pdf->Cell($largo[$i],$alturaLinhaResultados,$positron[$i],0,1,'C');
			 $pdf->Ln(-$alturaLinhaResultados);//-8 é pra ele imprimir na mesma linha
 	    	 $positron[$i+1]=$positron[$i]+$largo[$i];
		 }
		 $pdf->Ln($alturaLinhaResultados);




     ###########parte final, aquele espaco entre duas linhas onde vai o tratamento########################################33
	 //a cota 5 é o final do resultados a cota 6 vem antes da linha dupla ,  Aota 5 definida bem acima é o final do detail
	 $pdf->SetFont('Times','',10);
     $pdf->setXY(10,$cota5);
	 //$vetor[2][3]="Data Recebimento da Amostra:".$dataEntrada; 
	 //$vetor[3][3]="Data de Conclusao do Teste de Germinação:".$pdf->vetorReanGerminacao[0] ;  
	 //$vetor[4][3]="Duração do teste:".$pdf->vetorReanGerminacao[1] ; 
     //linhas separadoras verticais 
     $pdf->Line(90,$cota5,90,$cota6);//linha separadora vertical
     $pdf->Line(190,$cota5,190,$cota6);//linha separadora vertical

     $pdf->Line(125,$cota6,125,$cota7);//linha separadora vertical
     $pdf->Line(170,$cota6,170,$cota7);//linha separadora vertical
     $pdf->Line(203,$cota6,203,$cota7);//linha separadora vertical
	 //agora os 7 textos
	 $pdf->SetXY(10,$cota5);
	 
	 $pdf->Cell(90,$larguraDaLinha,'Data do recebimento:'. $vetorDadosDocumento[12],0,0,'L');
	 $pdf->SetXY(90,$cota5);
	 //aqui inverte a data
	 //para os casos em que a germinacao foi digitada diretamente no boletim junto a data do boletim e observacoe
	 $dataAnaliseDigitada=$vetorDadosDocumento[38];
	 if(strlen($dataAnaliseDigitada)>7)$dataTesteGerm=$dataAnaliseDigitada;
	 
	 
	 $pdf->Cell(100,$larguraDaLinha,utf8_decode('Data de Conclusão do Teste de Germinação:'.$dataTesteGerm ),0,0,'L');
	 $pdf->SetXY(190,$cota5);
	 if(strlen($duracao)<2)$duracao='5 dias';
	 $pdf->Cell(90,$larguraDaLinha,utf8_decode('Duração do Teste de Germinação:'.$duracao ),0,0,'L');
	 //linha dupla ou seja uma linha de legenda e uma linha de dados que começãm natureza do material inerte
     $pdf->setXY(10,$cota6);
	 $pdf->Cell(120,$larguraDaLinha,'Natureza do Material inerte:',0,1,'L');	
	 $pdf->SetXY(125,$cota6);
	 $pdf->Cell(40,$larguraDaLinha,'Substrato:',0,0,'L');	
	 $pdf->SetXY(170,$cota6);
	 $pdf->Cell(32,$larguraDaLinha,utf8_decode('Temperatura(ºC):'),0,0,'L');	
	 $pdf->SetXY(203,$cota6);
	 $pdf->Cell(70,$larguraDaLinha,'Tratamento especial:',0,1,'L');
     $cota6a=$cota6+4;	 
	 $pdf->SetXY(10,$cota6a);
	 
	 //aqui coloca -o- na natureza do materia inerte se a quantidade enconctrada for zero e se for sao francisco
	 //if(strlen($naturezaMatInerte)>3 && strlen($materialInerteDeful)==3):
	 //   $materialInerteDeful=$naturezaMatInerte;
	 //endif;
	 //$naturezaMatInerte=$materialInerteDeful;
	 
	 //aqui coloca -o- na natureza do materia inerte se a quantidade enconctrada for zero e se for sao francisco
	 //if($quantidadeInerte=='0.0' && $cliente=="SÃO FRANCISCO"):
	 //   $naturezaMatInerte='-O-';
	 //endif;
	 
	 
     $pdf->Cell(120,$larguraDaLinha,utf8_decode($naturezaMatInerte),0,0,'L');//Natureza do Material inerte
	 //$pdf->Cell(120,$larguraDaLinha,utf8_decode($quantidadeInerte.$cliente),0,0,'L');//Natureza do Material inerte
	 //aqui tem que colocar algo identico natureza do material inerte....
	 
	 $substrato='RP';
	 $temperatura='25ºC';
	 //$tratamento='-O-';
	 
	 	
	 $pdf->SetXY(125,$cota6a);
     $pdf->Cell(40,$larguraDaLinha,utf8_decode($substrato),0,0,'L');	
	 $pdf->SetXY(170,$cota6a);
     $pdf->Cell(32,$larguraDaLinha,utf8_decode($temperatura),0,0,'L');	
	 $pdf->SetXY(203,$cota6a);
     $pdf->Cell(70,$larguraDaLinha,utf8_decode($tratamento),0,0,'L');	
	 	 

     #########3 ULTIMAS CAIXAS################################################
     //conteudos
     //daque pra frente fica defnicido pela penultima cota que é a cota 7	 
	 $base[1][2]="Observações:";
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];

     //NOTAS ,DATA E responsavel tecnico
	 $base[1][3]="NOTAS:";
	 $base[2][3]="1-A presente análise tem seu valor restrito à amostra entregue ao laboratório.";
	 $base[3][3]="2-A identificação das amostras é de exclusiva responsabilidadedo remetente.";
	 $base[4][3]="3-Métodos de análise segundo as RAS em vigor ou outro informado no campo";
	 $base[5][3]="observações.";

	 $base[8][3]="";
	 $base[9][3]="";
	 //captura o rt
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,229,$cota7+15,61,14,'JPG');
     endif;

	$base[10][3]=$vetorTecnico[1];//nome do rt
    $base[11][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $base[7][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];
    $base[12][3]=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc

	 $largo[1]=85;
	 $largo[2]=97;
	 $largo[3]=80;
	 $pdf->SetXY(10,$cota7);
	 $positron[1]=10;
	 $larguraDaLinha=4.0;
     $posicao1=$margemEsquerda;
	 $posicao2=$posicao1+$largo[1];
	 $posicao3=$posicao2+$largo[2];


	 //imprime as contaminamates///////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','I',7);
     for($L=1;$L<=10;$L++):
		 $pdf->SetXY($posicao1,$cotaLinha);
         //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if($base[$L][1]!=""):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][1]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     endfor;	 


	 //imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','',7);
     for($L=1;$L<=10;$L++)
	 {
		 $pdf->SetXY($posicao2,$cotaLinha);
		 //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if(strlen($base[$L][2])>1):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     }	 


	 //imprime notas e assinatura
	 $cotaLinha=$cota7+2;
	 //da linha 1 até linha 6 coloca fonte menor
	 $pdf->SetFont('Times','',8);
     for($L=1;$L<=5;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],3,utf8_decode($base[$L][3]),0,0,'L');	
	     $cotaLinha+=3;
     }	 
	 $pdf->SetFont('Times','',7);

     for($L=7;$L<=12;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],3.5,utf8_decode($base[$L][3]),0,0,'C');	
	     $cotaLinha+=3.5;
     }	 


     $pdf->setXY(20,194);
	 //$total=595.28*193/184;
	 //$pdf->Cell(50,5,$total,0,1,'L');
     //coloca  as 3 linhas separadoras verticais 
	 $posicao1=$largo[1]+10;
	 $posicao2=$posicao1+$largo[2];
  	 $pdf->Line($posicao1,$cota7,$posicao1,$cota8);//linha separadora
	 $pdf->Line($posicao2,$cota7,$posicao2,$cota8);//linha separadora
	 //vai imprimir numero de via
	 $pdf->SetFont('Times','B',8);
	 $pdf->SetXY(271,$cota8);//era -10//
	 //$vias=$sessao->getVar('controle1');
	 //$vias="oooo";
     //$meuArquivo = "vias.txt";
     //$id=fopen($meuArquivo,"r");
     //$recuperado= fread($id,filesize($meuArquivo));
     //fclose($id);// Fecha o arquivo
	 $numeroVias=$sessao->getvar('controle2');
	 if($numeroVias>1):
	     $viaAtual=$sessao->getvar('controle1');
		 $viaAtual++;
	     $sessao->setVar('controle1',$viaAtual);
		 $viaFinal=$viaAtual.'ª via';
     else:
         $viaFinal=$sessao->getvar('controle1');
     endif;					 
	 $pdf->Cell(20,$larguraDaLinha,utf8_decode($viaFinal),1,1,'R');	
	ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
	
	//$pdf->Output('remito.pdf', 'D');//exemplo para impriir sem abrir
    $pdf->Output("arquivo.pdf","I");//forma de abrir para depois imprimir
	//$pdf->Output('arquivo.pdf', 'D');//imprimir sem abrir
		
?>
